<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php'); 
if(!empty($_POST))
{
    $vent_id=$_POST['id'];
    $ven_id=$_POST['ven_id'];
    $vend_art_id=$_POST['vend_art_id'];
    $serial = $_POST['serial'];
    $valores_no_vacios=0;
    foreach($serial as $valor) 
    {
        if(!empty($valor))
        $valores_no_vacios++;
    }

    $valores_no_vacios;
    $number = $valores_no_vacios;  
    if($number > 0)  
    {  
        for($i=0; $i<$number; $i++)  
        {  
                if(trim($_POST["serial"][$i] != '') )
            $dato1=$_POST["serial"][$i];  
            {
                $sql = "INSERT INTO seriales(ser_codigo,estado_dev,venta_detalle_vend_id,venta_detalle_empresa,venta_detalle_ventas_ven_id) 
                VALUES('".$dato1."','no','$vent_id','$empresa','$ven_id')"; mysqli_query($con, $sql);  

                $registros=mysqli_query($con,"UPDATE seriales_articulos Set estado='vendido' Where articulos_art_id='$vend_art_id' and  se_codigo='".$dato1."'") or die(mysqli_error($con));      
            } 
        }
        echo '<div class="alert alert-success alert-dismissable">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <strong>Serial!</strong> Registrado correctamente.
                </div>'; 
    } 
} 
?>  